<?php
/*
This file is part of ShopChart.

ShopChart is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

ShopChart is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ShopChart.  If not, see <http://www.gnu.org/licenses/>.
*/

require_once 'delete.php';
if(isset($_REQUEST['transaction_id'])) {
    $stats = get_transaction_stats($_REQUEST['transaction_id']);
} elseif(isset($_REQUEST['person_id'])) {
    $stats = get_person_stats($_REQUEST['person_id']);
} elseif(isset($_REQUEST['assembly_id'])) {
    $stats = get_assembly_stats($_REQUEST['assembly_id']);
} elseif(isset($_REQUEST['assembly_type_id'])) {
    $stats = get_assembly_type_stats($_REQUEST['assembly_type_id']);
} elseif(isset($_REQUEST['item_id'])) {
    $stats = get_item_stats($_REQUEST['item_id']);
} elseif(isset($_REQUEST['transaction_type_id'])) {
    $stats = get_transaction_type_stats($_REQUEST['transaction_type_id']);
} else {
    $stats = 'No element type specified';
}
print '<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Delete</title>
    </head>
    <body>
        ' . $stats . '<br />
        <form action="' . $_REQUEST['sender'] . '" method="post">
            <input type="submit" name="confirm_delete" value="Confirm" />
            <input type="submit" name="cancel_delete" value="Cancel" />';
foreach($_REQUEST as $name => $value) {
    if($name <> 'sender') {
        print '
            <input type="hidden" name="' . $name . '" value="' . htmlspecialchars($value) . '" />';
    }
}
print '
        </form>
    </body>
</html>';