<?php
/*
This file is part of ShopChart.

ShopChart is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

ShopChart is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ShopChart.  If not, see <http://www.gnu.org/licenses/>.
*/

$mysqli = new mysqli("daubke.ipowermysql.com", "shopchartpublic", "JITAtgQ6fVFI9rgFO1fx", "shopchartpublic");
log_request();

function log_request() {
    global $mysqli;
    $mysqli->query("
INSERT INTO shopcharttmp.Log (
    lArguments,
    lRemoteAddr,
    lTime,
    lURL,
    lUserAgent
) VALUES (
    '" . $mysqli->real_escape_string($_SERVER['QUERY_STRING']) . "',
    '" . $mysqli->real_escape_string($_SERVER['REMOTE_ADDR']) . "',
    NOW(),
    '" . $mysqli->real_escape_string(parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH)) . "',
    '" . $mysqli->real_escape_string($_SERVER['HTTP_USER_AGENT']) . "'
)");
}

function find_recordset_page($records, $search_value, $search_field_name, $page_size, $page_number) {
    $row_num = 0;
    while($record = $records->fetch_assoc()) {
        if($record[$search_field_name] == $search_value) {
            break;
        }
        $row_num++;
    }
    if(isset($record)) {
        if($row_num == 0) {
            return 1;
        } else {
            return ceil($row_num / $page_size);
        }
    } else {
        return $page_number;
    }
}

function go_to_page($record_key, $key_name, $records, $page_size, $page_number, $max_pages, $auto_page) {
    if($max_pages > 1) {
        if($auto_page) {
            $page_number = find_recordset_page($records, $record_key, $key_name, $page_size, $page_number);
        }
    }
    $page_number = validate_page_number($page_number, $max_pages);
    if($page_number == 1) {
        $records->data_seek(0);
    } else {
        $records->data_seek(($page_number - 1) * $page_size);
    }
    return $page_number;
}

function get_max_pages($records, $page_size) {
    return ceil($records->num_rows / $page_size);
}